<?php


define('_IN_JOHNCMS', 1);

echo '<div class="phdr"><a href="/shop/">'.str_replace('http://', '',$set['homeurl']).' do\'koni</a> | Rangli status</div>';

// Узнаём цену
$price = mysql_fetch_assoc(mysql_query("SELECT `price` FROM `shop` WHERE `id` = 12"));
$a = $price['price'];

if (isset($_POST['submit'])) {
    // Принимаем дынные
    $kod = isset($_POST['kod']) ? trim($_POST['kod']) : '';
    $clr = isset($_POST['color']) ? functions::check(mb_substr($_POST['color'], 0, 25)) : '';
    $error = false;

    // Проверка кода CAPTCHA
    if (empty($kod) || mb_strlen($kod) < 4)
        $error = $error . 'Tekshiruv kodi kiritlimadi!<br />';
    elseif ($kod != $_SESSION['code'])
        $error = $error . 'Tekshiruv kodi xato!<br />';
    unset($_SESSION['code']);

    // Проверка цвета
    if (empty($clr) || mb_strlen($clr) < 3)
        $error = $error . 'Status rangi kiritilmadi kiritlimadi!<br />';
    if (preg_match("/[^0-9a-zA-Z]+/", $clr))
            $error = 'Status rangida mavjud emas belgilar!<br/>';

    if (empty($error)) {
        // Проверка монет
        if ($datauser['balans'] < $a) {
        $error = 'Status rangini almashrieish uchun yetarli mblag\' mavjud emas!<br/>';
        }
    }

    // Заносим данные в Базу
    if (empty($error)) {
        mysql_query("UPDATE `users` SET `balans` = '" . ($datauser['balans'] - $a) . "', `cstat` = '" . mysql_real_escape_string($clr) . "' WHERE `id` = '$user_id'");
        echo '<div class="gmenu">Sizning statusingiz rangi o\'zgartirildi!<br/>';
        echo 'Misol: <font color="'.$clr.'">'.$datauser['status'].'</font>';
        echo '<br/><a href="/shop/">Do\'konga</a>';
        echo '</div>';
    } else {
        echo '<div class="rmenu"><p><b>XATO!</b><br />' . $error . '</p></div>';
    }

} else {
    // Форма ввода
    echo '<div class="list2"><b>'.$login.'</b>, Siz bu yerda statusingiz rangini o\'zgartira olasiz<br/>Narxi: '.$a.' ball</div>';
    echo '<form action="/shop/index.php?act=cstat" method="post"><div class="list1">';
    echo '<p>'.(strlen($datauser['cstat']) == 1 ? '<b>Цвет:</b>' : '<font color="'.$datauser['cstat'].'"><b>Rangi:</b></font>').'<br/><input type="text" name="color" maxlength="25" value="'.$datauser['cstat'].'" /><br/><small>Statusingiz uchun yoqtirgan rangingiz nomini kiriting(black)yoki kod (000000)<br/><font color="red">Rang kodini RGB da emas HTML da kiriting (000000) #siz!!!</font></small><br/><a href="/shop/color.php"><font color="0000ff">Ranglar jadvali</font></a></p></div>';
    echo '<div class="gmenu"><p><img src="/captcha.php?r=' . rand(1000, 9999) . '" alt="Проверочный код" border="1"/><br />';
    echo 'Tekshiruv kodi:<br/><input type="text" size="5" maxlength="5" name="kod"/></p></div>';
    echo '<div class="list2"><input type="submit" name="submit" value="O\'rnatish"/></div></form>';
    }

?>